<?php

/*

Plugin Name: Category Role Restrictor

Plugin URI: https://www.mivzaklive.co.il/category-role-restrictor

Description: Restricts users with a specific role to post only in allowed categories

Version: 1.0

Author: Dotan Gabay

Author URI: https://www.mivzaklive.co.il

*/



// Add plugin menu

add_action('admin_menu', 'crr_plugin_menu');



// Load required files

require_once plugin_dir_path(__FILE__) . 'settings-page.php';

require_once plugin_dir_path(__FILE__) . 'settings-register.php';

require_once plugin_dir_path(__FILE__) . 'category-logic.php';



// Plugin menu callback function

function crr_plugin_menu() {

    add_options_page(

        'Category Role Restrictor Settings', // Page title

        'Category Restrictor', // Menu title

        'manage_options', // Capability required

        'category-role-restrictor', // Menu slug

        'crr_plugin_options_page' // Callback function to display the options page

    );

}